% try overlapping 10
function  detectPedestrians(im,overlapping,classifier)
% this function checks for every window (126x63) in an image, if it has
% pedestrian or not. It does it by computing a hog vector for evey window
% and then sends this windows to classification process
% Inputs: im= the image one would like to check if it has pedestrians.
%         overlapping= the opverlapping percent between windows (in pixels)
%         classifier= the type of the clssifier (SVM,NN)
% output: it plots the image with highlighting the pedestrians

% enhance the image
im=imsharpen(im);
% cpnvert it to grascale
im=rgb2gray(im);
im=double(im);
[r,c]=size(im);
if strcmp(classifier,'NN')
    toCsv=zeros(floor((r-126)/overlapping)*floor((c-64)/overlapping),6318);
end
winCount=1;
for i=1: floor((r-126)/overlapping)
    i_start=(i-1)*overlapping+1;
   for j=1: floor((c-64)/overlapping)
       j_start=(j-1)*overlapping+1;
       window=imcrop(im,[j_start,i_start,62,125]);
       features_vec= findHOGs(window);
       %  SVM
        if strcmp(classifier,'SVM')
            export_features_SVM(features_vec,0);
        end
        % NN
         if strcmp(classifier,'NN')
            toCsv(winCount,:)=features_vec;
            winCount=winCount+1;
         end
   end
end

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CHANGE --- NN
% csvFile=tempname;
% csvwrite(csvFile,toCsv);
% [status,cmdout]=system('C:\Users\ayoub\Desktop\detection2\NN\evaluate.c C:\Users\ayoub\Desktop\detection2\NN\network.csv csvFile.csv');
% status
% res=strsplit(cmdout,'\n');
% 
% 
% pos=find(res==1);
%  
% j_start=((floor(mod(pos,x))))*overlapping+1;
% i_start=((floor(pos/x)+1))*overlapping+1;
% 
% figure
% imshow(im);
% vecSize=size(i_start);
% 
% 
% mask=zeros(size(im));
% for i=1: vecSize(1);
%    
%     origin(i_start(i):125+i_start(i)-1,j_start(i):j_start(i),1)=255;
%     origin(i_start(i):125+i_start(i)-1,j_start(i):j_start(i),2)=242;
%     origin(i_start(i):125+i_start(i)-1,j_start(i):j_start(i),3)=0;
%     
%     origin(i_start(i):125+i_start(i)-1,j_start(i)+62-1:j_start(i)+62-1,1)=255;
%     origin(i_start(i):125+i_start(i)-1,j_start(i)+62-1:j_start(i)+62-1,2)=242;
%     origin(i_start(i):125+i_start(i)-1,j_start(i)+62-1:j_start(i)+62-1,3)=0;
%     
%     origin(i_start(i):i_start(i), j_start(i):j_start(i)+62-1,1)=255;
%     origin(i_start(i):i_start(i), j_start(i):j_start(i)+62-1,2)=242;
%     origin(i_start(i):i_start(i), j_start(i):j_start(i)+62-1,3)=0;
%     
%     origin(i_start(i)+125-1:i_start(i)+125-1, j_start(i):j_start(i)+62-1,1)=255;
%     origin(i_start(i)+125-1:i_start(i)+125-1, j_start(i):j_start(i)+62-1,2)=242;
%     origin(i_start(i)+125-1:i_start(i)+125-1, j_start(i):j_start(i)+62-1,3)=0;
% 
% end
% 
%    figure
%     imshow(origin);
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ENG OF CHANGE
end

