function  testTrain_dataNeg(classifier,trainTest)
% This function is being used to extract feature vectors from negative
% images to training\testing windows with size 126x63
% the images are from various size, so we cut randomlly 10 windows from
% every images
% input: classifier= the type of the classfier that is being used SVM/NN
%      trainTest= 0/1 0 for testing images, and 1 for traning 
% output: it creates a txt/CSV file and saves it in the workspace of the
%          project
% the extraction is the same in both classifiers, but the difference is in
% which way we save these features to train\classify later.
% for SVM we used a simple format with txt file for NN we use CSV file
% all explained in the report

files_path=uigetdir('/Users/user/Documents/MATLAB/detection');
files=dir(fullfile(files_path,'*.png'));
s=size(files)
% create csv matrix to save all features vecs 
if strcmp(classifier,'NN')
    toCSV=zeros(s(1),6318);
end
% loop all the images and read them one by one
for k=1:s(1)
    im=imread(strcat(files_path,'/',files(k).name));
    im=imsharpen(im);
    im=rgb2gray(im);
    [r,c]=size(im);
    % pick randomlly 10 start points
    ri=randi([1,r-127],10,1);
    rj=randi([1,c-64],10,1);
    for m=1 : 10
        newim=imcrop(im,[rj(m),ri(m),62,125]);
        
        features_vec= findHOGs(newim);
        % SVM
        if strcmp(classifier,'SVM')
            export_features_SVM(features_vec,trainTest);
        end
        % NN
        if strcmp(classifier,'NN')
             toCSV(k,:)=features_vec;
        end
    end
   if strcmp(classifier,'NN')
    % create csv file
    if trainTest==0
        fid=fopen('test_neg.csv','a');
        % write the feature vectors as csv formats
        csvwrite('test_neg.csv',toCSV);
    else
         fid=fopen('train_neg.csv','a');
        % write the feature vectors as csv formats
        csvwrite('train_neg.csv',toCSV);
    end

end

    fclose all;
end









end

