function   testTrain_dataPos(classifier,trainTest)

% This function is being used to extract feature vectors from postive
% images to training\testing windows with size 126x63
% input: classifier= the type of the classfier that is being used SVM/NN
%      trainTest= 0/1 0 for testing images, and 1 for traning 
% output: it creates a txt/CSV file and saves it in the workspace of the
%          project
% the extraction is the same in both classifiers, but the difference is in
% which way we save these features to train\classify later.
% for SVM we used a simple format with txt file for NN we use CSV file
% all explained in the report
 

% uigetdir(matlabroot,'MATLAB Root Directory')
files_path= uigetdir(matlabroot,'MATLAB Root Directory');
% get all images
files=dir(fullfile(files_path,'*.png'));
% number of images
s=size(files)
% create csv matrix to save all features vecs 
if strcmp(classifier,'NN')
    toCSV=zeros(s(1),6318);
end
% loop all the images and read them one by one
for i=1 : s(1)
    im=imread(strcat(files_path,'/',files(i).name));
    % enhance the image by sharping it 
    im=imsharpen(im);
    % convert the image to gray scale
    im=rgb2gray(im);
    [r,c]=size(im);
    % 
    initR=floor((r-126)/2);
    initC=floor((c-63)/2);
    im=imcrop(im,[initR,initC,62,125]);
    % calculate the feature vector for a window (image 126x63) 
    features_vec= findHOGs(im);
    % SVM
   if strcmp(classifier,'SVM')
    % save the feature vec in a txt file
    export_features_SVM(features_vec,trainTest);
   end
    % NN
   if strcmp(classifier,'NN')
    % save the vector in a matrix
    toCSV(i,:)=features_vec;
   end
end
if strcmp(classifier,'NN')
    % create csv file
    if trainTest==0
        fid=fopen('test_pos.csv','a');
        % write the feature vectors as csv formats
        csvwrite('test_pos.csv',toCSV);
    else
         fid=fopen('train_pos.csv','a');
        % write the feature vectors as csv formats
        csvwrite('train_pos.csv',toCSV);
    end

end
fclose all;

%status=system('svm_learn.exe -z c data.txt output.txt')
end

